
</style>

  <?php
	include_once("../header.php");
        include_once("../php/config.php");
        $sql = mysql_query("select * from empleados") or die(mysql_error());
	?>
<script>
///....
	if(myLevel!="Master"){
		alert("No tiene acceso a este modulo del sitema")
		window.location.href="../menu/menu.php";
		
	}
</script>

    <div class="container-fluid">
    <ol class="breadcrumb">
  <li><a href="#">Empleados</a></li>
  <li><a href="#"><b>Registro de empleados</b></a></li>
 
</ol>

        
		<div class="row">
			<div class="col-md-12">
			    <h3 class="text-success"><i class="fa fa-user"></i> Registro de empledos</h3>
          <hr>
				<a class="btn btn-success mb-2 btn-md" href="javascript:void(0)" onClick="modalEmpleado()"><i class="fa fa-plus"></i> Registrar nuevo empleado</a>
        <hbr>
        <script type="text/javascript">
          function modalEmpleado(){
            $("#modalEmpleado").modal('show');
            setTimeout(function(){
             $("#frm").trigger('reset'); 
            },500)
            
        }
        </script>
        <br><br>
				<div class="table-responsive">
					<table class="table table-sm  table-stripped table-hover" data-page-length='8' width="100%">
						<thead>
							<th>Id Empleado</th>
							<th>Nombre</th>
              <th>Cedula/ RNC</th>
             
              <th>Telefono</th>
              <th>Direccion</th>
              <th>Cargo</th>
              <th>Salario</th>
              <th>Editar</th>
						</thead>
						<tbody>
            <?php while($r=mysql_fetch_array($sql)){?>
							<tr>
								<td><?php echo $r["id_empleado"]?></td>
                <td><span class="text-primary"><?php echo $r["nombre"]?></span></td>
                <td><?php echo $r["cedula"]?></td>
								<td><?php echo $r["telefono"]?></td>
                <td><?php echo $r["direccion"]?></td>
                <td><?php echo $r["cargo"]?></td>
                <td><?php echo $r["salario"]?></td>
              
             
               <td><a class="" href="#modalEmpleado" data-toggle="modal" onClick='ver(<?php echo $r["id_empleado"]?>)'><i class="fa fa-edit"></i></a></td>
							</tr>
                                                        <?php }?>
						</tbody>
					</table>
				</div>
			</div>
		</div>
		
        </div>
      </div>
      


          
</div>
    </div>

	<!---Modal Cliente-->
	<div class="modal fade" id="modalEmpleado" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h2 class="modal-title text-dark" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Registro de empleados</h2>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">


		  <form name="frm" action="" method="POST" id="frm">
			 
     

        <div class="row">
  				<label for="id" class="col-sm-3 col-form-label" >Id</label>
  				<div class="col-sm-3">
  				  <input autocomplete="off" type="text"  class="form-control  mb-2" id="id" value="" disabled>
  				</div>
			  </div>
			  
			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Nombre</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2 font-weight-bolde" id="nombre" name="nombre" value="">
          </div>
        </div>

         <div class="row">
          <label for="cedula" class="col-sm-3 col-form-label" >Cedula</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="cedula" name="cedula" value="">
          </div>
        </div>

			  
         <div class="row">
          <label for="telefono" class="col-sm-3 col-form-label" >Telefono</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="telefono" name="telefono" value="">
          </div>
        </div>

        <div class="row">
          <label for="direccion" class="col-sm-3 col-form-label" >Direccion</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="direccion" name="direccion" value="">
          </div>
        </div>
        
        <div class="row">
          <label for="cargo" class="col-sm-3 col-form-label" >Cargo</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="cargo" name="cargo" value="">
          </div>
        </div>

        <div class="row">
          <label for="salario" class="col-sm-3 col-form-label" >Salario</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="salario" name="salario" value="">
          </div>
        </div>


  


			  
			  
		  </form>
		  
		  </div>
          <div class="modal-footer">
            <button class="btn btn-default" type="button" onclick="grabar_Empleado()"><i class="fa fa-w fa-save"></i> Grabar</button>

                  <button class="btn btn-default" type="button" onclick="borrar()" id="delete"><i class="fa fa-w fa-trash"></i> Borrar</button>

            <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>

        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
        ?>
            
<script>
$("#delete").hide();
id_empleado="";
function ver(id){
    $("#delete").show();
    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#nombre").focus();
        $("#nombre").select();
    },1000);

            var sql="select * from empleados where id_empleado='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    id_empleado= rs.data[i].id_empleado;             
                    $("#nombre").val(rs.data[i].nombre);
                    $("#cedula").val(rs.data[i].cedula);
                    
                    $("#id").val(rs.data[i].id_empleado);
                    $("#telefono").val(rs.data[i].telefono);
                    $("#direccion").val(rs.data[i].direccion);
                    $("#cargo").val(rs.data[i].cargo);
                    $("#salario").val(rs.data[i].salario);
                    
                }
                
            })
        }
  
  function grabar_Empleado(){
     if(!confirm("Seguro(a) que desea registrar este Empleado?")){return;}                   
    
     var nombre = $("#nombre").val();
     var cedula = $("#cedula").val();
     var telefono = $("#telefono").val();
     var direccion = $("#direccion").val();
     var cargo = $("#cargo").val();
     var salario = $("#salario").val();

    



     if(nombre==""){alert('Faltan datos'); return}
    var sql="";                            
        if(id_empleado==""){
            sql="INSERT INTO empleados set ";
            sql+="nombre='"+nombre+"'";
            sql+=", cedula='"+cedula+"'";
            sql+=", telefono='"+telefono+"'";
            sql+=", direccion='"+direccion+"'"; 
            sql+=", cargo='"+cargo+"'"; 
            sql+=", salario='"+salario+"'"; 
           
        }else{
            sql="UPDATE empleados set";
            sql+=" nombre='"+nombre+"'";
            sql+=", cedula='"+cedula+"'";
            sql+=", telefono='"+telefono+"'";
            sql+=", direccion='"+direccion+"'"; 
            sql+=", cargo='"+cargo+"'"; 
            sql+=", salario='"+salario+"'"; 
            sql+=" WHERE id_empleado='"+id_empleado+"'";
           
            
        }
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       
        noti("success","Registro grabado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_empleado="";
         $("#modalEmpleado").modal('hide');
        setTimeout(function(){window.location.reload()},2000)

      }else{
          alert(data);
          
      }
       
    })
}
  

 function borrar(){
  
     if(id_empleado==""){alert('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    var sql="";                            
    sql="delete from empleados where id_empleado='"+id_empleado+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalEmpleado").modal('hide');
        noti("success","Registro eliminado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_empleado="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          alert(data);
          
      }
       
    })
}



$("table").DataTable({
   "language": {
            "url": "//cdn.datatables.net/plug-ins/9dcbecd42ad/i18n/Spanish.json"
        }
});
   
   $(".form-control").addClass("auto-save");      
        </script>

